import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.IOException;
import java.awt.Color;

/**
 * The world where everything lives.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class PicoWorld  extends World
{
    /**
     * Change this to the port the board is plugged into. If it's null then
     * a prompt will be displayed asking the user to pick a port.
     */
    public static final String PORT = null;//"COM3";
    private static GreenPicoBoard board;

    /**
     * Create and initialise the world.
     */
    public PicoWorld() {
        super(400, 300, 1); 
        GreenfootImage black = new GreenfootImage(400,300);
        black.fillRect(0, 0,400,300);
        black.setColor(Color.WHITE);
        black.drawString("Hit the buttons on the board to sound the drums!", 20,20);
        black.drawString("Button = Tom", 20,60);
        black.drawString("A = Kick", 20,80);
        black.drawString("B = Snare", 20,100);
        black.drawString("C = Crash", 20,120);
        black.drawString("D = Hi-hat", 20,140);
        setBackground(black);
        addObject(new SnareSoundBoard(),getWidth()/2-75,180);
        addObject(new KickSoundBoard(),getWidth()/2,250);
        addObject(new CrashSoundBoard(),getWidth()/2+75,100);
        addObject(new HiHatSoundBoard(),getWidth()/2-75,100);
        addObject(new TomSoundBoard(),getWidth()/2+75,180);
    }

    /**
     * Leave this line in place!
     */
    public void started() {
        board = new GreenPicoBoard(PORT);
    }

    /**
     * Leave this line in place!
     */
    public void stopped() {
        board.close();
    }

    public GreenPicoBoard getBoard() {
        return board;
    }
}
